Subject: [PATCH 1/1] ARM: Exynos: Add generic compatible string

From: [email-masked] (Tomasz Figa)
Date: Fri, 21 Feb 2014 16:31:44 +0100

On 21.02.2014 16:21, Tomasz Figa wrote:
> On 21.02.2014 15:48, Arnd Bergmann wrote:
>> On Friday 21 February 2014 14:18:49 Tomasz Figa wrote:
>>>
>>>> Now that we have a broader agreement on this, I think we can go
>>>> ahead with the
>>>> following steps as an initial approach:
>>>> 1. Have a common machine file for both exynos4 and 5 files,
>>>> mach-exynos-dt.c.
>>>> 2. Introduce a generic compatible string "samsung,exynos".
>>>> 3. Append this to the compatible property list for existing boards.
>>>>
>>>> If this plan looks OK, I can send across patches doing this.
>>>>
>>>
>>> Looks good. I would also merge common.c with this resulting
>>> mach-exynos-dt.c, as it would be the only user of the code there.
>>
>> Sounds good. While the naming is not important, I would just call the
>> file 'exynos.c', in line with some of the other platforms we have.
>> Both the 'mach-' and the '-dt' part of the file name are redundant.
>>
>> Alternatively, you could merge it all into common.c.
>
> exynos.c sounds good to me.

One minor thing. It might be a good idea to base on top of my PM 
consolidation part 2 series, to avoid merge conflicts:

http://thread.gmane.org/gmane.linux.ports.arm.kernel/299340

It should hit Kgene's tree this weekend.

Best regards,
Tomasz